WP_REST_Attachments_Controller::get_collection_params(): array

In this article

Retrieves the query params for collections of attachments.

Return

array Query parameters for the attachment collection as an array.

Source

public function get_collection_params() {
	$params                            = parent::get_collection_params();
	$params['status']['default']       = 'inherit';
	$params['status']['items']['enum'] = array( 'inherit', 'private', 'trash' );
	$media_types                       = array_keys( $this->get_media_types() );

	$params['media_type'] = array(
		'default'     => null,
		'description' => __( 'Limit result set to attachments of a particular media type or media types.' ),
		'type'        => 'array',
		'items'       => array(
			'type' => 'string',
			'enum' => $media_types,
		),
	);

	$params['mime_type'] = array(
		'default'     => null,
		'description' => __( 'Limit result set to attachments of a particular MIME type or MIME types.' ),
		'type'        => 'array',
		'items'       => array(
			'type' => 'string',
		),
	);

	return $params;
}

Changelog

VersionDescription
6.9.0Extends the media_type and mime_type request arguments to support array values.
4.7.0Introduced.

User Contributed Notes

You must log in before being able to contribute a note or feedback.